Bug 587358 - SELinux is preventing /opt/google/chrome/chrome-sandbox access to a leaked /root/.xsession-errors file descriptor.
SELinux is preventing /opt/google/chrome/chrome-sandbox access to a leaked /r...
Status: CLOSED DUPLICATE of bug 543970
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:518a6cedd6d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 13:27 EDT by kingbiotech
Modified: 2010-09-25 12:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-29 14:06:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kingbiotech 2010-04-29 13:27:32 EDT
Summary:

SELinux is preventing /opt/google/chrome/chrome-sandbox access to a leaked
/root/.xsession-errors file descriptor.

Detailed Description:

[chrome-sandbox has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by the chrome-sandbox command. It looks like
this is either a leaked descriptor or chrome-sandbox output was redirected to a
file it is not allowed to access. Leaks usually can be ignored since SELinux is
just closing the leak and reporting the error. The application does not use the
descriptor, so it will run properly. If this is a redirection, you will not get
output in the /root/.xsession-errors. You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:admin_home_t:s0
Target Objects                /root/.xsession-errors [ file ]
Source                        chrome-sandbox
Source Path                   /opt/google/chrome/chrome-sandbox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-beta-5.0.342.9-43360
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.i686 #1 SMP Mon
                              Apr 5 16:32:08 EDT 2010 i686 i686
Alert Count                   3
First Seen                    Fri 23 Apr 2010 02:24:04 PM IST
Last Seen                     Thu 29 Apr 2010 10:56:19 PM IST
Local ID                      bba853e2-2f4e-4a0d-a108-f83a1776cfe0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272561979.541:26): avc:  denied  { write } for  pid=2048 comm="chrome-sandbox" path="/root/.xsession-errors" dev=dm-0 ino=93311 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1272561979.541:26): arch=40000003 syscall=11 success=yes exit=0 a0=a889c24 a1=a889b58 a2=a889c60 a3=a889b58 items=0 ppid=2042 pid=2048 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=3 comm="chrome-sandbox" exe="/opt/google/chrome/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  leaks,chrome-sandbox,chrome_sandbox_t,admin_home_t,file,write
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t admin_home_t:file write;
Comment 1 Daniel Walsh 2010-04-29 14:06:22 EDT
This looks like you logged in as root.  SELinux/X Login is not supported.

*** This bug has been marked as a duplicate of bug 451744 ***
Comment 2 Terje Røsten 2010-04-29 14:16:26 EDT
Daniel,

I don't understand how this bug can be related to bug 451744 which is:

 (root) Review Request: root - The CERN analyzer for high to medium energy physics

Typo?
Comment 3 Daniel Walsh 2010-04-29 14:19:26 EDT

*** This bug has been marked as a duplicate of bug 543970 ***
Comment 4 Daniel Walsh 2010-04-29 14:20:21 EDT
Yup sorry.  Although You got an interesting read :^)

Note You need to log in before you can comment on or make changes to this bug.